当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 9 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]ubuntu8.04 下 eclipse 不能运行 出错
帖子发表于 : 2008-07-01 9:22 

注册: 2008-07-01 9:15
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
我的版本是 eclipse-SDK-3.4-linux-gtk-x86_64.tar.gz
linux是ubuntu8.04的amd64


!SESSION 2008-07-02 16:53:06.976 -----------------------------------------------
eclipse.buildId=M20070212-1330
java.version=1.6.0_06
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=zh_CN
Command-line arguments: -os linux -ws gtk -arch x86_64

!ENTRY org.eclipse.osgi 2 1 2008-07-02 16:53:22.414
!MESSAGE NLS missing message: initializer_error in: org.eclipse.core.internal.runtime.messages

!ENTRY org.eclipse.osgi 2 1 2008-07-02 16:53:22.435
!MESSAGE NLS missing message: fileInitializer_fileNotFound in: org.eclipse.core.internal.runtime.messages

!ENTRY org.eclipse.osgi 2 1 2008-07-02 16:53:22.435
!MESSAGE NLS missing message: fileInitializer_IOError in: org.eclipse.core.internal.runtime.messages

!ENTRY org.eclipse.osgi 2 1 2008-07-02 16:53:22.436
!MESSAGE NLS missing message: fileInitializer_missingFileName in: org.eclipse.core.internal.runtime.messages

!ENTRY org.eclipse.ui.workbench 4 0 2008-07-02 16:55:13.657
!MESSAGE Widget disposed too early!
!STACK 0
java.lang.RuntimeException: Widget disposed too early!
at org.eclipse.ui.internal.WorkbenchPartReference$1.widgetDisposed(WorkbenchPartReference.java:153)
at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:101)
at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1085)
at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1109)
at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1090)
at org.eclipse.swt.widgets.Widget.release(Widget.java:954)
at org.eclipse.swt.widgets.Control.release(Control.java:2546)
at org.eclipse.swt.widgets.Composite.releaseChildren(Composite.java:1033)
at org.eclipse.swt.widgets.Widget.release(Widget.java:957)
at org.eclipse.swt.widgets.Control.release(Control.java:2546)
at org.eclipse.swt.widgets.Composite.releaseChildren(Composite.java:1033)
at org.eclipse.swt.widgets.Widget.release(Widget.java:957)
at org.eclipse.swt.widgets.Control.release(Control.java:2546)
at org.eclipse.swt.widgets.Composite.releaseChildren(Composite.java:1033)
at org.eclipse.swt.widgets.Canvas.releaseChildren(Canvas.java:162)
at org.eclipse.swt.widgets.Decorations.releaseChildren(Decorations.java:465)
at org.eclipse.swt.widgets.Shell.releaseChildren(Shell.java:1638)
at org.eclipse.swt.widgets.Widget.release(Widget.java:957)
at org.eclipse.swt.widgets.Control.release(Control.java:2546)
at org.eclipse.swt.widgets.Widget.dispose(Widget.java:430)
at org.eclipse.swt.widgets.Shell.dispose(Shell.java:1587)
at org.eclipse.swt.widgets.Display.release(Display.java:2904)
at org.eclipse.swt.graphics.Device.dispose(Device.java:230)
at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:111)
at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.ja


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-07-01 9:50 
头像

注册: 2007-04-06 10:24
帖子: 2487
地址: ~/Shanghai
送出感谢: 0 次
接收感谢: 0 次
试试修改eclipse 目录下的eclipse.ini文件

如果有--launcher.XXMaxPermSize 删掉

另外在最后一行加上
-XX:PermSize=128M
-XX:MaxPermSize=128M

或者

-XX:PermSize=256M
-XX:MaxPermSize=256M


_________________
http://silenceisdefeat.com/~greco
代码:
''.join([chr(ord(c)-2) for c in 'O{"G/ockn"ku<"itgeq0ujkBiockn0eqo'])
echo -n "Z3JlY28uc2hpQGdtYWlsLmNvbQ==" | base64 -d


页首
 用户资料  
 
3 楼 
 文章标题 : [问题]还是不行阿
帖子发表于 : 2008-07-01 10:05 

注册: 2008-07-01 9:15
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
2楼 还是不行阿 一样的错误 要疯了哦


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-07-01 10:07 

注册: 2008-07-01 9:15
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
下面是我终端运行 eclipse 的 输出 , 一段时间后就出错了 跳出
root@jesse-desktop:/opt/eclipse# ./eclipse
Launching a SCIM daemon with Socket FrontEnd...
Loading simple Config module ...
Creating backend ...
Loading socket FrontEnd module ...
Starting SCIM as daemon ...
GTK Panel of SCIM 1.4.7

Launching a SCIM daemon with Socket FrontEnd...
Loading simple Config module ...
Creating backend ...
Loading socket FrontEnd module ...
Starting SCIM as daemon ...
GTK Panel of SCIM 1.4.7


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-07-02 9:23 

注册: 2007-07-26 14:25
帖子: 39
送出感谢: 0 次
接收感谢: 0 次
你们都还报错,我的一运行,就弹出一个空白的对话框,那个对话框也不能结束,必须kill掉进程才行


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-07-07 16:27 

注册: 2007-12-24 10:34
帖子: 15
送出感谢: 0 次
接收感谢: 0 次
七分之雨后 写道:
你们都还报错,我的一运行,就弹出一个空白的对话框,那个对话框也不能结束,必须kill掉进程才行


我的和你的一样啊,查错都查不到(命令行也是一样)
我用的是winxp + vm6 + ubuntu8.04
这个怎么解决呢,java环境搭不上。 :cry:

[/img]


附件:
Screenshot.png
Screenshot.png [ 1.46 MiB | 被浏览 1259 次 ]

页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-07-10 22:51 

注册: 2008-07-10 22:43
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
楼上的哥们
解决这个问题没有亚

我也遇到这个问题了,不晓得怎么解决


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-07-16 19:47 

注册: 2005-06-23 22:43
帖子: 52
送出感谢: 0 次
接收感谢: 0 次
卸载ulrunner就可以了


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-07-23 8:53 

注册: 2007-07-26 14:25
帖子: 39
送出感谢: 0 次
接收感谢: 0 次
试试把firefox升级到3.0, 8.04带的那个会和eclipse有冲突,我的一升级就OK了


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 9 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译